The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

what is ADO and how do I update it?

Discussion in 'General Discussion' started by baidarkabob, Apr 19, 2003.

  1. baidarkabob

    baidarkabob Well-Known Member

    Joined:
    Jan 12, 2003
    Messages:
    105
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Alaska
    what is ADO and how do I update it?

    help would be appreciated

    bob
     
  2. baidarkabob

    baidarkabob Well-Known Member

    Joined:
    Jan 12, 2003
    Messages:
    105
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Alaska
    a little more detail

    quote:
    --------------------------------------------------------------------------------

    Microsoft VBScript runtime error '800a01b6'
    Object doesn't support this property or method: 'rs.GetString'

    cal_functions.asp, line 62

    --------------------------------------------------------------------------------


    I have been told this error is caused because my ADO must be version 2.0 or less. Anybody know what I am talking about?

    Bob
     
    #2 baidarkabob, Apr 19, 2003
    Last edited: Apr 19, 2003
  3. mpierre

    mpierre Well-Known Member

    Joined:
    Jun 30, 2002
    Messages:
    196
    Likes Received:
    0
    Trophy Points:
    16
    ADO is a technology from Microsoft to access to a database.

    Normally, it runs on Windows machines : I didn't know you could run VBscript and ADO on a Linux box...

    You are trying to run .ASP pages, right ???

    Which packages are you using for using ASP pages on Linux ?
     
  4. baidarkabob

    baidarkabob Well-Known Member

    Joined:
    Jan 12, 2003
    Messages:
    105
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Alaska
    thanks for responding...

    mpierre, yes, we are running ASP via Chili!softASP. Here are a list of my installed ODBC drivers. How can I tell what version of ADO i am running?
    PostgreSQL /usr/local/casp/odbc/opensource/lib/libodbcpsql.so
    MySQL /usr/local/casp/odbc/opensource/lib/libmyodbc.so
    SequeLink 4.51a /usr/local/casp/odbc/sqlnk/lib/YYslk13.so 4.5.1
    dBASE 5 /usr/local/casp/odbc/direct/lib/YYdbf17.so 4.0
    Oracle(with client) /usr/local/casp/odbc/direct/lib/YYor817.so 4.0
    Microsoft SQL Server /usr/local/casp/odbc/direct/lib/YYmsss17.so 4.0
    Sybase /usr/local/casp/odbc/direct/lib/YYase17.so 4.0
    DB2 /usr/local/casp/odbc/direct/lib/YYdb217.so 4.0
    InterBase 6.0 /usr/local/casp/odbc/opensource/lib/ivInterBase00.so
    Oracle(without client) /usr/local/casp/odbc/direct/lib/YYora17.so 4.0
    Text /usr/local/casp/odbc/direct/lib/YYtxt17.so 4.0
    Informix /usr/local/casp/odbc/direct/lib/YYifcl17.so 4.0

    Thanks again for your input.
    Bob
     
  5. dgbaker

    dgbaker Well-Known Member
    PartnerNOC

    Joined:
    Sep 20, 2002
    Messages:
    2,578
    Likes Received:
    3
    Trophy Points:
    38
    Location:
    Toronto, Ontario Canada
    cPanel Access Level:
    DataCenter Provider
    As far as I know ADO & ADO.net are only available on a M.S. Platform server.
     
  6. vishal

    vishal Well-Known Member

    Joined:
    Jan 28, 2003
    Messages:
    340
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    India
    Ado!!!

    Hello,

    ADO is ActiveX Data Objects its basically a Bundle to access the data from the Databases.

    As far as I know ADO works on UDA (Universal Data Access) Architecture. So it should support Linux.!!!! :)

    check this http://www.fscked.co.uk/writing/chilisoft_asp.html

    version of chilisoft ASP ?

    Regards,

    :cool:
     
  7. mpierre

    mpierre Well-Known Member

    Joined:
    Jun 30, 2002
    Messages:
    196
    Likes Received:
    0
    Trophy Points:
    16
    I concur....

    VB and ADO are purely Microsoft product and do not really work on Linux.

    Even with Chilisoft, ASP support is minimal at best...

    Eventually, Microsoft plans to port the .NET framework to Linux, but I do not know if they will do so for Linux hosts...
     
  8. mpierre

    mpierre Well-Known Member

    Joined:
    Jun 30, 2002
    Messages:
    196
    Likes Received:
    0
    Trophy Points:
    16
    Re: Ado!!!

    Interesting, I'll look into it... I might buy a Chilisoft license after all...
     
  9. vishal

    vishal Well-Known Member

    Joined:
    Jan 28, 2003
    Messages:
    340
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    India
    ADO Version???

    Hello,

    Following is the small asp code which tells u the current version of ADO.


    <%
    set myConn = Server.CreateObject("ADODB.Connection")
    strConn = myConn.Version
    set myConn = Nothing
    Response.Write(strConn)
    %>

    Regards,
    :)
     
  10. baidarkabob

    baidarkabob Well-Known Member

    Joined:
    Jan 12, 2003
    Messages:
    105
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Alaska
    thanks for the feedback...

    The Chili!ASP version is 3.6.2

    Vishal - How do i run that code to find the version number for ADO? just create an .asp page and upload to the server and check it out with a browser?

    Thanks!

    Bob
     
  11. X-Istencedotcom

    X-Istencedotcom Well-Known Member

    Joined:
    Apr 14, 2003
    Messages:
    223
    Likes Received:
    0
    Trophy Points:
    16
    Re: thanks for the feedback...

    thats exactly what it looks like you can do.
     
  12. baidarkabob

    baidarkabob Well-Known Member

    Joined:
    Jan 12, 2003
    Messages:
    105
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Alaska
    thats what i thought, but...

    I am getting this error:

    Microsoft JScript compilation error '800a03ec'

    Expected ';'

    /version.asp, line 16

    set myConn = Server.CreateObject("ADODB.Connection")



    ???

    Bob
     
  13. vishal

    vishal Well-Known Member

    Joined:
    Jan 28, 2003
    Messages:
    340
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    India
    Microsoft JScript compilation error '800a03ec' ???

    Hello,

    Microsoft JScript compilation error '800a03ec' ???

    Why does it Says JScript??? Could u pls post the Entire code that ur using in version.asp if u don't Mind???

    Regards,
     
  14. baidarkabob

    baidarkabob Well-Known Member

    Joined:
    Jan 12, 2003
    Messages:
    105
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Alaska
    Sure...

    Thanks vishal - i reuploaded and it is working. Version 1.0! I need version 2.5 or higher. I suppose this is something i need to contact SUN about?

    Thanks again,

    Bob

    Here is the code for kicks.

    <!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

    <html>

    <head>
    <meta http-equiv="content-type" content="text/html;charset=iso-8859-1">
    <title>version?</title>
    </head>

    <body bgcolor="#ffffff">
    <p><%
    set myConn = Server.CreateObject("ADODB.Connection")
    strConn = myConn.Version
    set myConn = Nothing
    Response.Write(strConn)
    %></p>
    </body>

    </html>
     
  15. vishal

    vishal Well-Known Member

    Joined:
    Jan 28, 2003
    Messages:
    340
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    India
    YEP!!!

    YEAH or simply GOOgled around!!!

    Here i am helpless as i know very little abt the ADO upgrade Sorry!!!

    Regards,
     
  16. baidarkabob

    baidarkabob Well-Known Member

    Joined:
    Jan 12, 2003
    Messages:
    105
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Alaska
    I'm GOOgling!

    Thanks again vishal.

    b-
     
  17. baidarkabob

    baidarkabob Well-Known Member

    Joined:
    Jan 12, 2003
    Messages:
    105
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Alaska
    bad news from Sun ONe

    In response to my query on how to update ADO support to at least 2.5 this is what their tech support had to say:

    "Bob,

    Unfortunately, version 4.0 of Sun ONE ASP only supports ADO v2.0 at this time and there is no update available.

    Sadly, there isn't any information at this time when/if we will support v2.5 in the future.

    All we can say is check back with us periodically for new information.

    -Benny"

    4.0 is the most recent, fairly new, update.

    Bob
     
Loading...

Share This Page